Filezilla and the New Human Theme

Bug #284755 reported by razor7 on 2008-10-17
28
This bug affects 2 people
Affects Status Importance Assigned to Milestone
FileZilla
Unknown
Unknown
wxWidgets
Fix Released
Unknown
filezilla (Ubuntu)
Low
Adrien Cunin
Intrepid
Low
Adrien Cunin
wxwidgets2.8 (Ubuntu)
Low
Devid Antonio Filoni
Intrepid
Low
Unassigned

Bug Description

I think Filezilla dislikes the "New Human" Theme, look the attached screenshot.

Be advised.

razor7 (ghiamar) wrote :
arno_b (arno.b) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.
This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage.
I have classified this bug as a bug in filezilla.

razor7 (ghiamar) wrote :

I followed the instructions here https://wiki.ubuntu.com/Bugs/FindRightPackage and the output just says "filezilla", in Synaptic I get
filezilla 3.1.2-0ubuntu2 and the dependencies listed in the screenshot

Tim Kosse (tim-kosse) wrote :

Caused by a bug in wxWidgets.

Tim Kosse (tim-kosse) wrote :

I've created a simple patch that fixes most text colour issues.

Changed in wxwidgets2.8:
assignee: nobody → d.filoni
status: New → In Progress
Tim Kosse (tim-kosse) wrote :

Upstream bug report and patch: http://trac.wxwidgets.org/ticket/10089

Tim Kosse (tim-kosse) wrote :

The following two patches for FileZilla need to be backported as well:

http://filezilla.svn.sourceforge.net/viewvc/filezilla?view=rev&revision=2811
http://filezilla.svn.sourceforge.net/viewvc/filezilla?view=rev&revision=2812

The first one fixes the background color of the info text in the remote file list when not connected to any server.

The second one fixes the color of the status lines in the transfer queue. In addition, the status lines will no longer overlap the scrollbar, as visible in the screenshot attached by the original bug reporter.

Adrien Cunin (adri2000) on 2008-10-20
Changed in filezilla:
assignee: nobody → adri2000
importance: Undecided → Low
status: New → Confirmed
Changed in wxwidgets2.8:
importance: Undecided → Low
Changed in wxwidgets:
status: Unknown → New
Martin Pitt (pitti) wrote :

Needs motu-sru approval for pending upload in -proposed.

Also, should the filezilla task be closed as invalid? Or does filezilla need a fix on top of the wxwidget one?

Tim Kosse (tim-kosse) wrote :

The FileZilla fixes are needed on top of the wxWidgets one.

Tim Kosse (tim-kosse) wrote :

Remark: The FZ fixes can be applied independently, but they likely won't have any effect in that case.

ACK from motu-sru for the wxwidgets2.8 upload.

Please reject wxwidgets2.8 upload, we will fix this in jaunty and if all is ok we will fix this also in intrepid (wxwidgets2.8 is really huge). Also I want to know what upstream thinks about the patch.

razor7 (ghiamar) wrote :

Hello guys...y readed that the latest version of filezilla fixes this bug, it is in the changelog.

Please, i use filezilla at work and i´m planning to use it in intrepid...

Best regards!

Sorry for forgetting to mark in the bug. I got a motu-sru ack from
Dktrkranz via IRC.

Adrien Cunin (adri2000) wrote :

As Devid said, please reject the wx upload for now. We may fix this bug in intrepid later, once it is fixed and tested in jaunty, although I am personally not convinced it qualifies for an SRU: it's a minor bug I'd say, with a known workaround (use another theme), and it doesn't seem to affect a lot of users. Moreover the fix isn't "obviously safe" (as written on wiki.u.c/SRU) and requires changes to wxwidgets, which is used by applications other than FileZilla.

Martin Pitt (pitti) wrote :

Rejected, as requested.

razor7 (ghiamar) wrote :

Hello...in the meantime, what can I do to have it fixed by myself? I know that security is priority, and I support it, but I don´t think my desktop is target of any hacker by now, jeje...

Remember, i use it at work, and i don´t want to change the theme.

Thanks in advise!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wxwidgets2.8 - 2.8.9.1-0ubuntu1

---------------
wxwidgets2.8 (2.8.9.1-0ubuntu1) jaunty; urgency=low

  * New upstream release, tarball generated by get-orig-source rule.
  * Add debian/patches/fix_b_bashism.dpatch patch to fix a bashism.
  * Add debian/patches/colours.dpatch from Tim Kosse to fix colours issues
    when a dark theme is used (LP: #284755).
  * Remove debian/patches/fix_from_upstream_svn_r52465.dpatch patch, we can
    download it from the upstream svn.
  * debian/rules: include some changes from Debian debian/rules.
  * Move all icons from debian to debian/icons dir.
  * Fix dpatch-missing-description lintian warnings.

 -- Devid Antonio Filoni <email address hidden> Wed, 05 Nov 2008 17:43:07 +0100

Changed in wxwidgets2.8:
status: In Progress → Fix Released
Changed in wxwidgets2.8:
status: In Progress → Confirmed
Adrien Cunin (adri2000) on 2008-11-20
Changed in filezilla:
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package filezilla - 3.1.5.1-1

---------------
filezilla (3.1.5.1-1) experimental; urgency=low

  * New upstream release
     - Fixes crash when renaming a directory in the local tree view (reported
       as #283744 in LP)
     - Fixes color issues with dark themes (LP: #284755)
     - Fixes display bug with status lines overlapping scrollbar in the queue
       (LP: #298907)
  * Still upload to experimental
  * Minor fixes:
     - debian/rules: added .PHONY and use touch $@
     - debian/control: wrap build-deps and added ${misc:Depends} dependency to
       filezilla
  * configure{,.in}: downgrade wx dependency back to 2.8.6, as 2.8.9 is not yet
    in Debian
  * Merged filezilla-locales binary package into filezilla-common
     - Dropped debian/filezilla-locales.{install,links}
     - Updated debian/{control,rules,filezilla-common.install}
       (debian/control: removed any filezilla-locales occurrence, and added
       versioned replaces/conflicts on filezilla-locales to filezilla-common)

filezilla (3.1.3.1-1) experimental; urgency=low

  [ Adam Cécile (Le_Vert) ]

  * Upload to experimental because of lenny freeze.
  * Fix debian/control (wrong supported features list) (Closes: #494483).
  * Install docs/fzdefaults.xml.example (Closes: #494480).
  * Add Adrien Cunin as co-maintainer.
  * Thanks to Adrien Cunin from Ubuntu for his help.

  [ Adrien Cunin ]

  * debian/control: added Vcs-Git and Vcs-Browser fields
  * New upstream release (Closes: #494478)
  * debian/{control,compat}: use debhelper 7
  * debian/rules:
     - Rewritten from scratch, using new debhelper capabilities
     - Use dh_installchangelogs with -k
  * Removed useless debian/*.dirs
  * debian/copyright: updated and fixed
  * Install docs/fzdefaults.xml.example with dh_installexamples instead of
    dh_installdocs

 -- Adrien Cunin <email address hidden> Mon, 01 Dec 2008 08:30:49 +0000

Changed in filezilla:
status: In Progress → Fix Released
razor7 (ghiamar) wrote :

Hello...how should i chechk for this fixes? what i have to enable in synaptic?

Thanks in advise!

Changed in wxwidgets:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package filezilla - 3.2.2.1-1~intrepid1

---------------
filezilla (3.2.2.1-1~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

filezilla (3.2.2.1-1) unstable; urgency=low

  * Upload to unstable now that lenny is released
  * New upstream release (LP: #326578)
     - New features: bookmarks, logging to file and synchronized browsing
     - libdbus support
     - Fixes some encoding issues with some locales (LP: #312246)
     - Better handles editing files with no application associated (LP: #310167)
  * Updated features list in package description with new features
  * Added libdbus-1-dev build-dep and explicitely use --with-dbus when
    configuring

filezilla (3.1.6-1) experimental; urgency=low

  [ Adam Cécile (Le_Vert) ]
  * New upstream release.
  * Still upload to experimental.

  [ Adrien Cunin ]
  * debian/control: no need to version -common's conflicts/replaces on -locales.
  * Added ${misc:Depends} dependency to -common to make lintian quiet.

  [ Loic Minier ]
  * Move .gbp.conf to debian/gbp.conf.
  * Remove builder hack in gbp.conf.
  * Use pristine-tar in gbp.conf.

filezilla (3.1.5.1-1) experimental; urgency=low

  * New upstream release
     - Fixes crash when renaming a directory in the local tree view (reported
       as #283744 in LP)
     - Fixes color issues with dark themes (LP: #284755)
     - Fixes display bug with status lines overlapping scrollbar in the queue
       (LP: #298907)
  * Still upload to experimental
  * Minor fixes:
     - debian/rules: added .PHONY and use touch $@
     - debian/control: wrap build-deps and added ${misc:Depends} dependency to
       filezilla
  * configure{,.in}: downgrade wx dependency back to 2.8.6, as 2.8.9 is not yet
    in Debian
  * Merged filezilla-locales binary package into filezilla-common
     - Dropped debian/filezilla-locales.{install,links}
     - Updated debian/{control,rules,filezilla-common.install}
       (debian/control: removed any filezilla-locales occurrence, and added
       versioned replaces/conflicts on filezilla-locales to filezilla-common)

filezilla (3.1.3.1-1) experimental; urgency=low

  [ Adam Cécile (Le_Vert) ]

  * Upload to experimental because of lenny freeze.
  * Fix debian/control (wrong supported features list) (Closes: #494483).
  * Install docs/fzdefaults.xml.example (Closes: #494480).
  * Add Adrien Cunin as co-maintainer.
  * Thanks to Adrien Cunin from Ubuntu for his help.

  [ Adrien Cunin ]

  * debian/control: added Vcs-Git and Vcs-Browser fields
  * New upstream release (Closes: #494478)
  * debian/{control,compat}: use debhelper 7
  * debian/rules:
     - Rewritten from scratch, using new debhelper capabilities
     - Use dh_installchangelogs with -k
  * Removed useless debian/*.dirs
  * debian/copyright: updated and fixed
  * Install docs/fzdefaults.xml.example with dh_installexamples instead of
    dh_installdocs

 -- Adrien Cunin <email address hidden> Wed, 18 Mar 2009 16:56:44 +0000

Changed in filezilla:
status: Confirmed → Fix Released
Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. The bug has been fixed in newer releases of Ubuntu.

Changed in wxwidgets2.8 (Ubuntu Intrepid):
assignee: Devid Antonio Filoni (d.filoni) → nobody
status: Confirmed → Invalid
AndreyChursin (andreychursin) wrote :

Какого хера? где скрины самой темы? тупая писанина!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.